# Class InvalidFormatException

Namespace
  adas_core.Application.Exceptions

Assembly
  adas-core.Application.dll

Represents the exception that is thrown when data is encountered in a format that is not valid or expected.

    public class InvalidFormatException : Exception, ISerializable

Inheritance
  object
  Exception
  InvalidFormatException

Implements
  ISerializable

Inherited Members
  Exception.GetBaseException()
  Exception.GetType()
  Exception.ToString()
  Exception.Data
  Exception.HelpLink
  Exception.HResult
  Exception.InnerException
  Exception.Message
  Exception.Source
  Exception.StackTrace
  Exception.TargetSite
  Exception.SerializeObjectState
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Constructors

### InvalidFormatException(string)

Initializes a new instance of the InvalidFormatException class with a specified error message.

    public InvalidFormatException(string message)

#### Parameters

`message` string

  The error message that describes the reason for the exception.

### InvalidFormatException(ErrorMessage)

Initializes a new instance of the InvalidFormatException class with a specified error message.

    public InvalidFormatException(HttpEnum.ErrorMessage message)

#### Parameters

`message` HttpEnum.ErrorMessage

  The error message that describes the reason for the exception.